Project

General

Profile

Freedom issue #2345

[code] depends on electron

pisechka - over 1 year ago - . Updated over 1 year ago.

Status:
duplicate
Priority:
freedom issue
Assignee:
-
% Done:

0%


Description

How install vscode if he want electron while electron hasn't in repos?
If electron is in a third-party repository for what need code in community repos?
Maybe i don't understand how properly it install.


Related issues

Related to Packages - Freedom issue #2203: [code]: depends on electronfixed

Actions
Related to Packages - Packaging request #2716: add VSCodiumopen

Actions

History

#1

Updated by freemor over 1 year ago

  • Priority changed from bug to freedom issue
  • Status changed from unconfirmed to confirmed
  • Tracker changed from Bug to Freedom issue

Yet another electron victim.

Should add this to the list of electon victims
Will do later when I have time.
I'll leave this one open in case anyone want to look at liberating this. But honestly there are many other code editors.

#2

Updated by pisechka over 1 year ago

Thank you. I will wait.

#3

Updated by bill-auger over 1 year ago

i think 'code' (aka: vscode) is a full-blown electron "app", like 'atom' and 'riot-desktop' - it probably quite intractable to separate it from electron

#4

Updated by bill-auger over 1 year ago

  • Related to Freedom issue #1167: [chromium][qt5-webengine][electron] QTWebgine/Electron embeds "entire Chromium platform" added
#5

Updated by eschwartz over 1 year ago

Duplicate of https://labs.parabola.nu/issues/2203 which already reports that code depends on electron.

#6

Updated by freemor over 1 year ago

The Parabola social contract prevents us from explaining this in detail.
Electron is not in the repo for good reasons.

The best option would be for you to patch/re-write code so it does not require electron.
Tho it is possible to install electron. You'd have to uninstall your-freedom to do so, something that I would hope as a Parabola user you'd find an unacceptable option.

#7

Updated by freemor over 1 year ago

Tho as bill-auger mentioned fixing code so it does not need electron probably boils down to a complete re-write of it.

#8

Updated by bill-auger over 1 year ago

  • Related to deleted (Freedom issue #1167: [chromium][qt5-webengine][electron] QTWebgine/Electron embeds "entire Chromium platform")
#9

Updated by bill-auger over 1 year ago

  • Status changed from confirmed to duplicate

duplicate of #2203

#10

Updated by pisechka over 1 year ago

Thank you so much for fix <3

#11

Updated by freemor over 1 year ago

I fear that you may have misunderstood. I was not saying that we would do a complete re-write of this program.
I was saying that with that level of work being required and with there being many alternatives. That the most likely course of action will be blacklisting this porgram.

In fact as the consensus seem to be unfixable I'll go ahead and blacklist it in the next couple of days and the related BRs

#12

Updated by pisechka over 1 year ago

Ok i understood.

#13

Updated by bill-auger 7 months ago

#14

Updated by bill-auger 7 months ago

Also available in: Atom PDF